Subject: Re: NetXen driver name

From: Andi Kleen <[email-masked]>
Date: 08 Feb 2007 19:15:09 +0100

Amit Kale <[email-masked]> writes:

> Hi,
> 
> NetXen ethernet driver present in 2.6.20 has name "netxen_nic". The product 
> itself is refered to as "nx_nic". To make it inline with the product, would 
> it be a good idea to change the name of the driver to "nx_nic"?

When it's already in a released kernel it's a little late to rename the module.
You would cause upgrade pain to users who have hardcoded the module name.

-Andi